import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class ContentService {

  constructor(private http : HttpClient) { }

  ////////////////////////// category //////////////////////////
  categoryTable() {
    return this.http.get('/napi/web/category/table');
  }

  updateCategory(data){
    return this.http.patch('/napi/web/category/table', data);
  }

  publishCategory(){
    return this.http.patch('/napi/web/category/publish', {});
  }

  categoryHeaders() {
    return this.http.get('/napi/web/category/datatable/headers');
  }

  categoryList() {
    return this.http.get('/napi/web/category/datatable');
  }


  categoryAdd(data) {
    return this.http.post('/napi/web/category/', data);
  }

  //////////////////////// translate ///////////////////////

  tanslateTable() {
    return this.http.get('/napi/web/translate/table');
  }

  translateOptions() {
    return this.http.get('/napi/web/translate/options');
  }

  updateTranslate(data){
    return this.http.patch('/napi/web/translate/table', data);
  }

  publishTranslate(){
    return this.http.patch('/napi/web/translate/publish', {});
  }

  translateHeaders() {
    return this.http.get('/napi/web/translate/datatable/headers');
  }

  translateList() {
    return this.http.get('/napi/web/translate/datatable');
  }

  translateAdd(data) {
    return this.http.post('/napi/web/translate/', data);
  }

  ///////////////////////// lang /////////////////////////

  langAdd(data) {
    return this.http.post('/napi/web/lang/', data);
  }

  langConfigAll() {
    return this.http.get('/napi/web/lang-config/all');
  }

  langConfig(configId) {
    return this.http.get('/napi/web/lang-config/' + configId);
  }

  langConfigUpdate(configId, data) {
    return this.http.post('/napi/web/lang-config/' + configId, data);
  }

  //////////////////////////// I18N ////////////////////////////
  i18nTable() {
    return this.http.get('/napi/web/i18n/table');
  }

  updateI18n(data){
    return this.http.patch('/napi/web/i18n/table', data);
  }
}
